Complete meeting calendar authorization
Browser redirect after calendar consent. Use the returned oauth_url rather than constructing this request. Verified state identifies the connecting user. Returns HTML for success, cancellation, or failure; no JSON error envelope or bearer token is used.
GET
/
meeting_bot
/
calendar
/
oauth_callback
Complete meeting calendar authorization
curl --request GET \
--url https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callbackimport requests
url = "https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<!doctype html><html><body><h1>Calendar connected</h1></body></html><!doctype html><html><body><h1>Invalid request</h1></body></html><!doctype html><html><body><h1>Calendar already connected</h1></body></html><!doctype html><html><body><h1>Calendar connection failed</h1></body></html><!doctype html><html><body><h1>Calendar connection failed</h1></body></html><!doctype html><html><body><h1>Calendar connections unavailable</h1></body></html>Query Parameters
Authorization code supplied by the calendar provider.
Unmodified signed state from the authorization URL.
Authorization error supplied by the calendar provider, such as access_denied.
Response
Calendar connected, or the user cancelled authorization.
The response is of type string.
Was this page helpful?
Complete meeting calendar authorization
curl --request GET \
--url https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callbackimport requests
url = "https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/meeting_bot/calendar/oauth_callback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<!doctype html><html><body><h1>Calendar connected</h1></body></html><!doctype html><html><body><h1>Invalid request</h1></body></html><!doctype html><html><body><h1>Calendar already connected</h1></body></html><!doctype html><html><body><h1>Calendar connection failed</h1></body></html><!doctype html><html><body><h1>Calendar connection failed</h1></body></html><!doctype html><html><body><h1>Calendar connections unavailable</h1></body></html>